Subject: Same error

From: Lars Hovdan Molden <[email-masked]>
Date: Thu, 19 Dec 2019 08:37:52 +0100

Hi

I am experiencing the exact same problem as dixius99. However, Emacs also crashes randomly at infrequent intervals. I can also trigger the crash by for instance clicking on file-save as- and then press the arrow key to the right. 

At Reddit we have compared HW and found that we at the very least both have a Touch Bar on a MacBook Pro from 2018, and that this runs on a T2 chip. Dixius99 have tried to run Emacs on a VM using Windows and not experiencing the crash. Apparently T2 is not available through VM which makes us curios if the error may be related to this chip. 

I am using the pre build version of Emacs for Mac (https://emacsformacosx.com <https://emacsformacosx.com/>) and the bundle from Vincent Goulet (https://vigou3.gitlab.io/emacs-modified-macos/ <https://vigou3.gitlab.io/emacs-modified-macos/>). But it seems the same error persist with self-compiled versions as well. 

I also tried downgrading to earlier Emacs releases, but the same error persisted. It did not, however, existing prior to Catalina. 

Best
L